const std = @import("std");

pub fn build(b: *std.Build) void {
    const target = b.standardTargetOptions(.{});
    const optimize = b.standardOptimizeOption(.{});

    const url = b.addStaticLibrary(.{
        .name = "url",
        .root_source_file = b.path("src/url.zig"),
        .target = target,
        .optimize = optimize,
    });

    const json = b.addStaticLibrary(.{
        .name = "json",
        .root_source_file = b.path("src/json.zig"),
        .target = target,
        .optimize = optimize,
    });

    const exe = b.addExecutable(.{
        .name = "tidler-zig",
        .root_source_file = b.path("src/main.zig"),
        .target = target,
        .optimize = optimize,
    });
    exe.linkLibrary(url);
    exe.linkLibrary(json);

    b.installArtifact(url);
    b.installArtifact(json);
    b.installArtifact(exe);
}

